Bug 1254907 - Items of project explorer are not refreshed automatically
Items of project explorer are not refreshed automatically
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ER4
: 6.2.0
Assigned To: Toni Rikkola
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 04:42 EDT by Jozef Marko
Modified: 2016-07-31 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2015-08-19 04:42:07 EDT
*** Description of problem:
If user creates any new item in project (Business process, DRL file, Test scenario ...), this new item doesn't appear in project explorer automatically. It does not matter if user has turned on Project/Repository view in project explorer. User has to use reload button of browser to new items appear in project explorer.


*** Version-Release number of selected component (if applicable):
bpmsuite-6.2.0.ER1


*** Steps to Reproduce:
1. Authoring - Project Authoring - New item
2. Create for example business process in current project


*** Actual results:
No new item appears in project explorer without browser reload


*** Expected results:
Created business process appears in project explorer without browser reload


*** Additional info:
In step 2. doesn't matter what will be created. Can be replicated with DRL file, Test scenario ...

The same situation for deleting items from project. Item is deleted but in project explorer remains invalid link to it.
Comment 3 Jozef Marko 2015-10-19 15:28:15 EDT
Verified on 6.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.